/**
 * Section
 */
.section-text-scroll {}

.section-text-scroll.section-background-dark,
.section-text-scroll.section-background-light {
	padding: 0;
}

.section-text-scroll .section__header::before {
	display: none;
}

.section-text-scroll.section-light,
.section-text-scroll.section-dark,
.section-text-scroll.section-color {
	padding-top: 0;
	padding-bottom: 0;
}

.section-text-scroll .section__body {
	position: relative;
	overflow: hidden;
	margin-top: 0;
	padding-bottom: calc(7vw + 60px);
	border-top: 1px solid var(--color-extra-light);
	border-bottom: 1px solid var(--color-extra-light);
}

.infinite-scroll-wrapper {
	position: absolute;
}

.infinite-scroll {
	position: relative;
	display: block;
	white-space: nowrap;
	opacity: 1;
	overflow: hidden;
	padding: 30px 0;
}

.infinite-scroll__text {
	display: block;
}

.infinite-scroll__text::before,
.infinite-scroll__text::after {
	content: attr(data-title);
	margin: 0;
	padding-right: 0.5em;
	padding-bottom: 0;
	display: inline-block;
	font-size: 7vw;
	line-height: 1;
	white-space: nowrap;
	font-weight: var(--heading-font-weight);
	font-family: var(--heading-font);
	vertical-align: middle;
	letter-spacing: var(--heading-letter-spacing);
	color: var(--color-link);
	transform: translateX(0%);
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	transition: color 1s ease;
	animation: infinite-scroll 50s linear infinite;
}

.section-text-scroll.section-color .infinite-scroll__text::before,
.section-text-scroll.section-color .infinite-scroll__text::after {
	color: var(--color-white);
}

.infinite-scroll__text:hover::before,
.infinite-scroll__text:hover::after {
	color: var(--color-white-30);
	/* animation-play-state: paused; */
}

.section-text-scroll.section-background-dark .infinite-scroll,
.section-text-scroll.section-background-light .infinite-scroll {
	border: 0;
}

@keyframes infinite-scroll {
	0% {
		transform:translateX(0%);
	}
	100% {
		transform:translateX(-100%);
	}
}

@media screen and (max-width: 767px) {
	.section-text-scroll .section__body {
		padding-bottom: calc(7vw + 60px);
	}
	
	.infinite-scroll__text::before,
	.infinite-scroll__text::after {
		font-size: 7vw;
	}
}
